The months and quarters the issuer can get a report for, which its plan includes, which are ready and which exist
GET
/v1/issuers/{id}/reports
const url = 'https://api.hardstate.net/v1/issuers/example/reports';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.hardstate.net/v1/issuers/example/reportsParameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string
Responses
Section titled “Responses”{ plan, monthly, quarterly, periods[{ period, kind, from, to, ready, included, hash }] }
Error
Media typeapplication/json
object
error
string
Example generated
{ "error": "example"}HardState is a Zevlat Intelligence venture. © 2026 Zevlat Intelligence.